# $Revision: 1.9 $, $Date: 2010/06/06 08:45:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Quote
Summary:	XML::Quote - functions to quote/dequote strings in "XML"-way
Summary(pl.UTF-8):	XML::Quote - funkcje do cytowania łańcuchów w sposób "XML-owy"
Name:		perl-XML-Quote
Version:	1.02
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	98f45c2efeeea13793949e5c74689741
URL:		http://search.cpan.org/dist/XML-Quote/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides functions to quote/dequote strings in "XML"-way.

All functions are written in XS and are very fast; they correctly
process UTF-8, tied, overloaded variables and all the rest of Perl
"magic".

%description -l pl.UTF-8
Ten moduł udostępnia funkcje do cytowania łańcuchów w sposób
"XML-owy".

Wszystkie funkcje są napisane w XS i są bardzo szybkie. Poprawnie
przetwarzają UTF-8, zmienne związane i przeciążone, a także całą
resztę perlowej "magii".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/Quote.pm
%dir %{perl_vendorarch}/auto/XML/Quote
%{perl_vendorarch}/auto/XML/Quote/Quote.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/Quote/Quote.so
%{perl_vendorarch}/auto/XML/Quote/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Quote.spec,v $
Revision 1.9  2010/06/06 08:45:02  arekm
- release 3

Revision 1.8  2008/03/25 21:03:44  qboosh
- generic URL

Revision 1.7  2008-02-10 12:24:13  arekm
- rel 2

Revision 1.6  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.5  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.3  2004/11/03 22:30:56  paladine
- formatting

Revision 1.2  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.1  2004/01/07 15:48:26  qboosh
- new
